"use strict";

const defaultValue = require("default-value");

module.exports = function createSimpleBundlePreset({source, destinationFolder, destinationFilename, publicPath} = {}) {
	return {
		entry: {
			main: [
				defaultValue(source, "./src/index.js")
			]
		},
		output: {
			publicPath: publicPath,
			path: destinationFolder,
			filename: defaultValue(destinationFilename, "bundle.js")
		}
	}
};
